Summary: CGI script that allows Web-browsing of a CVS repository
Name: cvsweb
Version: 1.112
Release: 2
Copyright: BSD
Group: Development/Tools
Patch: cvsweb-redhat-paths.patch
Patch1: cvsweb-fixundef.patch
Source: http://stud.fh-heilbronn.de/~zeller/download/%{name}-%{version}.tar.gz
URL: http://stud.fh-heilbronn.de/~zeller/cgi/cvsweb.cgi/
BuildRoot: /tmp/%{name}-%{version}-%{release}-root
BuildArchitectures: noarch
Requires: perl >= 5, apache, cvs >= 1.10

%description
The cgi-script cvsweb.cgi is written by Bill Fenner <fenner@freebsd.org>
for the freebsd project. It allows browsing of CVS repositories
with an HTML browser.

This package contains the version of cvsweb script modified by
Henner Zeller <zeller@think.de>, Henrik Nordstrm <hno@hem.passagen.se>
and Alexey Nogin <nogin@cs.cornell.edu>

%changelog
* Wed Dec 29 1999 Alexey Nogin <ayn2@cornell.edu>
[cvsweb-1.79-3]
- Fixed a bug that prevented HideModules working when it had over 1 module.

* Tue Oct 19 1999 Alexey Nogin <ayn2@cornell.edu>
[cvsweb-1.73-4]
- Fixed a problem with some environment variables being undefined sometimes (cvsweb-fixundef.patch)
[cvsweb-1.73-2]
- Marked cvsweb.conf as %config(noreplace) instead of just %config

* Thu May 06 1999 Alexey Nogin <ayn2@cornell.edu>
[cvsweb-1.58-3]
- Changed the SPEC file for RHCN
- Made the footer more configurable (cvsweb-footer.patch)
- Set the architecture to noarch

%prep
%setup -n %{name}
%patch -b .rh
%patch1 -b .ud

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{var/www/cgi-bin,etc/httpd/conf}
install cvsweb.cgi $RPM_BUILD_ROOT/var/www/cgi-bin
install cvsweb.conf $RPM_BUILD_ROOT/etc/httpd/conf
chmod 444 TODO INSTALL README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(555,root,root) /var/www/cgi-bin/cvsweb.cgi
%attr(644,root,root) %config(noreplace) /etc/httpd/conf/cvsweb.conf
%defattr(-,root,root)
%doc TODO INSTALL README
